:XPREFIX:
LOCREQ		.EQU	0
FIXFRAME	.EQU	48
FRAMESZ		.EQU	(LOCREQ + FIXFRAME + 63) & (-64)
LOCALSZ		.EQU	FRAMESZ - FIXFRAME
SAVRP		.EQU	-20
	.data
_mFsoflag
	.word   %5$d
	.code
	.export _mFsoflag,data
	.export _mFsoinitfini,entry
	.import _mFsoloadunload,code
_mFsoinitfini
	.proc
	.callinfo caller,frame=LOCALSZ,save_rp
	.entry
	stw     %%r2,SAVRP(0,%%r30)
	ldo     FRAMESZ(%%r30),%%r30
	bl	_mFsoloadunload,%%r2
	copy    %%r0,%%r24
	.exit
	ldw     -FRAMESZ+SAVRP(%%r30),%%r2
	bv      0(%%r2)
	ldo     -64(%%r30),%%r30
	.procend
	.end
